<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Quicksand&display=swap" rel="stylesheet">
    <link rel="stylesheet" th:href="@{/css/style.css}"/>
    <script src="https://kit.fontawesome.com/1927c4eb85.js" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <title>add expense</title>
</head>

<body>
    <div class="sidenav">
        <div class='menu '>
            <i class="fas fa-home fa-lg"></i>
            <a href="/dashboard">Dashboard</a>
        </div>
        
        <div class='menu'>
            <i class="fas fa-wallet fa-lg"></i>
            <a class= "active" href="/addexpense">Transaction</a>
        </div>

        <div class='menu'>
            <i class="fas fa-chart-pie fa-lg"></i>
            <a href="/history">History</a>
        </div>

        <div class='menu'>
            <i class="fas fa-user-alt fa-lg"></i>
            <a href="/addproject">Add Project</a>
        </div>
    </div>


    <div class="main">
        <h1 class='title'>Add Transaction</h1>
        <form th:action="@{/api/create}" method = 'post'>
        <div class="md-form">
            <br>
            <label>Title</label><br>
            <input type="text" id="transTitle" size = 50 th:name="title"><br>
            <label>Date</label><br>
            <input placeholder="Selected date" type="date" size = 25 id="date-picker-example" class="form-control datepicker" th:name="transaction_date">
        </div>
        <div class="theForm">
            <label for="category">Category</label><br>
            <select id="category" class="dropdown-menu" th:name="category">
                <option th:each="cat: ${categories}" th:value="${cat.getName()}" th:text="${cat.getName()}"></option>
            </select>
        </div> 
        <label>Amount</label><br>
        <input type="text" id="amount" size = 30 th:name="amount"><br><br>
        <input class= "btn btn-sub" type="submit" value="Submit">
        </form>
    </div>

    <script>
        $('.datepicker').pickadate({
        weekdaysShort: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
        showMonthsShort: true
        })
    </script>




</body>

</html>